<?php

namespace AustraliaPost\Extensions\Business\Endpoints;

use AustraliaPost\Extensions\Business\API\Business;

class Update_Order_Status_Endpoint extends Abstract_Endpoint {

	/**
	 * @param array $data
	 * @return array|void
	 */
	public function callback( $data )
	{
		if (! isset($data['order_id'])) {
			$this->abort('order_id must be present');
		}

		$order_id = $data['order_id'];

		$order = (new Business())->get_order($order_id);

		if (!isset($order['order'])) {
			$this->abort($order);
		}

		$order_reference = $order['order']['order_reference'];
		update_option(Create_Order_From_Shipments_Endpoint::OPTION_KEY_ORDER . $order_reference, $order['order'], false);
		return $order['order']['order_summary']['status'];
	}

	/**
	 * @return string
	 */
	public function action()
	{
		return 'update_order_status';
	}

}
